Bug 1303741 - edit-node fails to rebuild ISO with error 'module' object has no attribute 'GROUP_DEFAULT'
edit-node fails to rebuild ISO with error 'module' object has no attribute 'G...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node (Show other bugs)
3.5.7
Unspecified Unspecified
high Severity urgent
: ovirt-4.0.0-beta
: ---
Assigned To: Fabian Deutsch
Wei Wang
: ZStream
Depends On: 1258930
Blocks: 1322779
  Show dependency treegraph
 
Reported: 2016-02-01 14:55 EST by Marina
Modified: 2016-06-16 21:50 EDT (History)
8 users (show)

See Also:
Fixed In Version: rhev-hypervisor7-ng-3.6-20160429.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1322779 (view as bug list)
Environment:
Last Closed: 2016-05-31 04:36:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ycui: testing_plan_complete?


Attachments (Terms of Use)

  None (edit)
Description Marina 2016-02-01 14:55:56 EST
Cannot rebuild RHEV-H ISO with edit-node.

Version-Release number of selected component (if applicable):
RHEL 7.2
ovirt-node-tools-3.2.3-30.el7.noarch
kernel-3.10.0-327.4.5.el7.x86_64

How reproducible:
Always on that machine

Steps to Reproduce:
1. Following instructions available here to update RHEV-H iso with updated vdsm version:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5/html/Installation_Guide/sect-Modifying_the_Red_Hat_Enterprise_Virtualization_Hypervisor_ISO.html

2. Run the command:
# edit-node --nogpgcheck --install vdsm --repo ./vdsmrepo/ /usr/share/rhev-hypervisor/rhevh-7.2-20160105.1.el7ev.iso 

Actual results:
Build fails with the following trace:
~~~
# edit-node --nogpgcheck --install vdsm --repo ./vdsmrepo/ /usr/share/rhev-hypervisor/rhevh-7.2-20160105.1.el7ev.iso
    Traceback (most recent call last):
      File "/usr/sbin/edit-node", line 36, in <module>
        from imgcreate.debug import *
      File "/usr/lib/python2.7/site-packages/imgcreate/__init__.py", line 19, in <module>
        from imgcreate.live import *
      File "/usr/lib/python2.7/site-packages/imgcreate/live.py", line 30, in <module>
        from imgcreate.creator import *
      File "/usr/lib/python2.7/site-packages/imgcreate/creator.py", line 34, in <module>
        from imgcreate.yuminst import *
      File "/usr/lib/python2.7/site-packages/imgcreate/yuminst.py", line 48, in <module>
        class LiveCDYum(yum.YumBase):
      File "/usr/lib/python2.7/site-packages/imgcreate/yuminst.py", line 139, in LiveCDYum
        def selectGroup(self, grp, include = pykickstart.parser.GROUP_DEFAULT):
    AttributeError: 'module' object has no attribute 'GROUP_DEFAULT'
~~~

Expected results:
Build should succeed.

Additional info:
Downgrading 
pykickstart-1.99.66.6-1.el7.noarch to 
pykickstart-1.99.43.17-1.el7.noarch

resolved the problem.
Comment 5 Fabian Deutsch 2016-04-11 05:09:56 EDT
Please verify this bug with the latest release from RHEV 3.6. This bug should be fixed.
Comment 6 Wei Wang 2016-05-31 03:59:39 EDT
Retest with rhev-hypervisor7-7.2-20160517.0.el7ev, the bug cannot be reproduced

Version:
RHEL 7.2
rhev-hypervisor7-7.2-20160517.0.el7ev

#rpm -qa|grep ovirt-node-tools
ovirt-node-tools-3.6.1-12.0.el7ev.noarch.rpm
#uname -r
3.10.0-324.el7.x86_64

#rpm -qa|grep pykickstart
pykickstart-1.99.66.6-1.el7.noarch

Steps:
1. Following instructions available here to update RHEV-H iso with updated vdsm version:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5/html/Installation_Guide/sect-Modifying_the_Red_Hat_Enterprise_Virtualization_Hypervisor_ISO.html

2. Run the command:
# edit-node --nogpgcheck --install vdsm --repo /etc/yum.repos.d/test.repo /usr/share/rhev-hypervisor/rhevh-7.2-20160517.0.el7ev.iso

Result:
Build successfully, the rhevh-7.2-20160517.0.el7ev-vdsm.iso generated at /usr/share/rhev-hypervisor/


so the bug is verified, I will change the status of the bug to "VERIFIED"
Comment 7 Ying Cui 2016-05-31 04:36:13 EDT
This issue(edit-node) affects vintage RHEV-H, not NGN, and the bug 1258930 was also closed, so close this bug as current release according to comment 6.
Comment 8 Marina 2016-06-15 17:49:30 EDT
BTW, this is still happening...
Downgrading the pykickstart helps..

# yum downgrade pykickstart-1.99.43.17-1.el7.noarch

Fabian, what should we do with this bug?
Comment 9 Fabian Deutsch 2016-06-16 05:37:22 EDT
Marina, when you encountered this bug: 
1. What pykickstart build was on your machine?
2. What host os were you using?
Comment 10 Marina 2016-06-16 21:49:04 EDT
# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.2 (Maipo)

# yum downgrade pykickstart-1.99.43.17-1.el7.noarch
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package pykickstart.noarch 0:1.99.43.17-1.el7 will be a downgrade
---> Package pykickstart.noarch 0:1.99.66.6-1.el7 will be erased
--> Finished Dependency Resolution
Comment 11 Marina 2016-06-16 21:50:53 EDT
I was using edit-node to modify RHEVH 7.2 iso on this rhel7.2 vm.

Note You need to log in before you can comment on or make changes to this bug.